Ticket #281 (closed defect: fixed)

Opened 4 years ago

Last modified 4 years ago

REST calls are leaking memory.

Reported by: jesus Assigned to: jesus
Priority: major Milestone:
Component: noit-core Severity: annoying
Keywords: Cc:

Description

It appears that REST calls and interesting hacks on top of REST calls are leaking memory.

Change History

05/22/10 18:29:57 changed by jesus

(In [1291]) sigificant updates around cleaning up memory, refs #281

05/22/10 19:01:20 changed by jesus

(In [1293]) make sure we can't close an fd without calling drive.. this removes one from write and makes the one in complete_request inaccessible by making the function static, refs #281

05/24/10 15:32:46 changed by jesus

(In [1296]) _http_perform_write no longer closes the socket so we need to handle this more directly, refs #281

06/01/10 21:20:24 changed by jesus

  • status changed from new to closed.
  • resolution set to fixed.

Running for a long time with clean umem ::findleaks output.